/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

body {
    font-family: var(--f-secundaria);
    font-size: 1rem;
}

h1, h2, h3, h4, h5, h6 {
    font-family: var(--f-primaria);
}

.azul {
    color: var(--c-azul);
}

.blur {
    backdrop-filter: blur(3px);
    overflow: hidden;
}

.lista {
    ul {
        list-style: none;
        margin: 0 0 0 25px;

       li {
            position: relative;
            margin-bottom: 10px;

            &::before {
                content: "";
                position: absolute;
                background-color: var(--c-azul);
                width: 10px;
                height: 10px;
                top: 7px;
                left: -20px;
                border-radius: 20px;
            }
       }
    }
}

/* servicios */
.precio-servicio p {
    color: var(--c-blanco) !important;
    font-size: clamp(20px, 2vw, 30px) !important;
    font-weight: 600;
}

/* -- TIENDA -- */
/* botones avisos*/
.woocommerce-Button {
    padding: 12px 24px !important;

    &:hover {
        color: var(--c-blanco) !important;
    }
}

/* cantidad servicio */
form.cart .quantity {
    width: 55px;
}

/* carrito */
.mi-carrito {
    table.cart {
        .product-thumbnail {
            display: none;
        }
    }
}

/* carrito header */
.carrito-header {
    .elementor-menu-cart__toggle {
        & > a {
            padding: 0 !important;
            background-color: transparent !important;
        }
    }

    .elementor-menu-cart__main {
        .cart_item {
            display: flex;
            flex-direction: column;

            .product-thumbnail {
                display: none;
            }

            .product-name,
            .product-price {
                width: 100%;
                padding-left: 0;
            }
        }

        .elementor-button {
            background-color: var(--c-blanco);
            
            &:hover {
                background-color: var(--c-negro);
                color: var(--c-blanco);
            }
        }
    }
}

/* finalizar compra */
.finalizar-compra {
    #payment {
        .woocommerce-info {
            padding: 10px;
        }
    }
}


/* ----- RESPONSIVE ------ */

@media screen and (max-width:1024px) {

}

@media screen and (max-width:767px) {

}